%global momorel 2
Summary: integrate Flash functionality into the GNOME
Name: swfdec-gnome
Version: 2.22.2
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.22/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:    python >= 2.5
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: swfdec-devel >= 0.7.2
BuildPrereq: glib2-devel >= 2.16.3
BuildPrereq: swfdec-gtk-devel >= 0.6.4
BuildPrereq: gtk2-devel >= 2.12.9
Requires: GConf2

%description
Swfdec is a decoder/renderer for Macromedia Flash animations.  The
decoding and rendering engine is provided in a library that can be
used by other applications.

This package contains programs to integrate Flash functionality into
the GNOME desktop.  It's main application is swfdec-player, a
stand-alone viewer for Flash files.  It also contains
swfdec-thumbnailer, a program that provides screenshots for files to
display in the Nautilus file manager
#'

%prep
%setup -q

sed -i s/SWFDEC_MAJORMINOR=0.6/SWFDEC_MAJORMINOR=0.7/g configure

%build
%configure --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
%{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    swfdec-thumbnailer.schemas
do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/swfdec-thumbnailer.schemas
%{_bindir}/swfdec-player
%{_bindir}/swfdec-thumbnailer
%{_datadir}/%{name}
%{_datadir}/applications/swfdec-player.desktop
%{_mandir}/man1/swfdec-player.1.*
%{_mandir}/man1/swfdec-thumbnailer.1.*

%changelog
* Thu Jun 26 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.22.2-2m)
- reuild against swfdec-0.7.2

* Thu Apr 17 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Wed Mar 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- initial build
